"""Create feedback, parses and train_usages models

Revision ID: 648a0e87a97e
Revises: 
Create Date: 2020-12-11 11:57:51.020618

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '648a0e87a97e'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('feedback',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('created', sa.DateTime(timezone=True), nullable=False),
    sa.Column('nl', sa.Unicode(length=500), nullable=False),
    sa.Column('system_lin', sa.Unicode(length=500), nullable=False),
    sa.Column('correct_lin', sa.Unicode(length=500), nullable=False),
    sa.Column('model', sa.Unicode(length=500), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('parent_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['parent_id'], ['feedback.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('parses',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('created', sa.DateTime(timezone=True), nullable=False),
    sa.Column('nl', sa.Unicode(length=500), nullable=False),
    sa.Column('lin', sa.Unicode(length=500), nullable=False),
    sa.Column('model', sa.Unicode(length=500), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('nl', 'model', name='unique_nl_model')
    )
    op.create_table('train_usages',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('created', sa.DateTime(timezone=True), nullable=False),
    sa.Column('model', sa.Unicode(length=500), nullable=False),
    sa.Column('usage_count', sa.Integer(), nullable=False),
    sa.Column('feedback_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['feedback_id'], ['feedback.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('train_usages')
    op.drop_table('parses')
    op.drop_table('feedback')
    # ### end Alembic commands ###
